Skip to main content
POST
/
cart
/
orders
/
{order_id}
/
shipments
Create Cart Order Shipment
curl --request POST \
  --url https://production.trackstarhq.com/cart/orders/{order_id}/shipments \
  --header 'Content-Type: application/json' \
  --header 'x-trackstar-access-token: <x-trackstar-access-token>' \
  --header 'x-trackstar-api-key: <x-trackstar-api-key>' \
  --data '
{
  "tracking_number": "<string>",
  "tracking_url": "https://www.example.com/tracking",
  "carrier_name": "Carrier Name",
  "shipping_method_name": "Standard Shipping"
}
'
import requests

url = "https://production.trackstarhq.com/cart/orders/{order_id}/shipments"

payload = {
"tracking_number": "<string>",
"tracking_url": "https://www.example.com/tracking",
"carrier_name": "Carrier Name",
"shipping_method_name": "Standard Shipping"
}
headers = {
"x-trackstar-api-key": "<x-trackstar-api-key>",
"x-trackstar-access-token": "<x-trackstar-access-token>",
"Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.text)
const options = {
method: 'POST',
headers: {
'x-trackstar-api-key': '<x-trackstar-api-key>',
'x-trackstar-access-token': '<x-trackstar-access-token>',
'Content-Type': 'application/json'
},
body: JSON.stringify({
tracking_number: '<string>',
tracking_url: 'https://www.example.com/tracking',
carrier_name: 'Carrier Name',
shipping_method_name: 'Standard Shipping'
})
};

fetch('https://production.trackstarhq.com/cart/orders/{order_id}/shipments', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "id",
  "unused_fields": [
    "<string>"
  ],
  "data": {
    "id": "order_id",
    "order_number": "order_number",
    "created_date": "2022-01-01T00:00:00Z",
    "updated_date": "2022-01-02T05:05:05Z",
    "status": "fulfilled",
    "raw_status": "raw_status",
    "requested_shipping_method": "Standard",
    "shipping_method_id": "shipping_method_id",
    "shipping_method_name": "Standard Shipping",
    "carrier_id": "carrier_id",
    "carrier_name": "Carrier Name",
    "invoice_currency_code": "USD",
    "total_price": 13.49,
    "total_tax": 1.5,
    "total_discount": 2.5,
    "total_shipping": 3.5,
    "ship_to_address": {
      "full_name": "John Doe",
      "company": "Company",
      "address1": "123 Main St",
      "address2": "Apt 2",
      "address3": "Floor 3",
      "city": "New York",
      "state": "NY",
      "postal_code": "10001",
      "country": "United States",
      "phone_number": "123-456-7890",
      "email_address": "johndoe@example.com"
    },
    "bill_to_address": {
      "full_name": "John Doe",
      "address1": "123 Main St",
      "address2": "Apt 2",
      "address3": "Floor 3",
      "city": "New York",
      "state": "NY",
      "postal_code": "10001",
      "country": "United States"
    },
    "earliest_ship_date": "2022-10-10T01:02:03Z",
    "latest_ship_date": "2022-10-10T01:02:03Z",
    "line_items": [
      {
        "line_item_id": "line_item_id",
        "product_id": null,
        "product_sku": null,
        "parent_product_id": null,
        "parent_product_sku": null,
        "quantity": 1,
        "unit_price": 10.99,
        "discount": 1.5,
        "tax": 0.5,
        "warehouse_id": "warehouse_id"
      }
    ],
    "shipping_groups": [
      {
        "shipping_group_id": "shipping_group_id",
        "created_date": "2022-01-01T00:00:00Z",
        "updated_date": "2022-01-02T05:05:05Z",
        "raw_status": "raw_status",
        "status": "shipped",
        "warehouse_id": "warehouse_id",
        "line_items": [
          {
            "line_item_id": "shipping_group_line_item_id",
            "product_id": "<string>",
            "product_sku": "<string>",
            "parent_product_id": "<string>",
            "quantity": 0
          }
        ]
      }
    ],
    "shipments": [
      {
        "shipment_id": "shipment_id",
        "raw_status": "raw_status",
        "status": "shipped",
        "warehouse_id": "warehouse_id",
        "shipping_method_id": "shipment_shipping_method_id",
        "shipping_method_name": "shipment_shipping_method_name",
        "carrier_id": "carrier_id",
        "carrier_name": "carrier_name",
        "tracking_number": "<string>",
        "tracking_url": "https://www.example.com/tracking",
        "line_items": [
          {
            "shipment_line_item_id": "<string>",
            "product_id": "<string>",
            "product_sku": "<string>",
            "parent_product_id": "<string>",
            "parent_product_sku": "<string>",
            "quantity": 0
          }
        ],
        "shipping_groups": [
          "sg_id_1",
          "sg_id_2"
        ],
        "ship_from_address": {
          "address1": "123 Main St",
          "address2": "Apt 2",
          "address3": "Floor 3",
          "city": "New York",
          "state": "NY",
          "postal_code": "10001",
          "country": "United States"
        },
        "created_date": "2022-01-01T00:00:00Z",
        "updated_date": "2022-01-02T05:05:05Z"
      }
    ],
    "tags": [
      "tag_0"
    ],
    "external_system_url": "https://example.com/order/123",
    "trackstar_tags": [
      "tag1",
      "tag2",
      {
        "tag3": "value3"
      }
    ],
    "additional_fields": {
      "key": "value"
    },
    "trackstar_created_date": "2023-11-07T05:31:56Z",
    "trackstar_updated_date": "2023-11-07T05:31:56Z"
  }
}
{
"error": "<string>",
"id": "<string>"
}
{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}

Headers

x-trackstar-api-key
string
required

Your organization-level Trackstar API key.

Example:

"<x-trackstar-api-key>"

x-trackstar-access-token
string
required

Your user's access token for a specific integration (ShipHero, Extensiv, etc).

Example:

"<x-trackstar-access-token>"

Path Parameters

order_id
string
required

Body

application/json
tracking_number
string
required

The tracking number for the shipment.

tracking_url
string
required

The URL for the tracking number.

Example:

"https://www.example.com/tracking"

carrier_name
string
required

The name of the carrier used to ship the order.

Example:

"Carrier Name"

shipping_method_name
string
required

The name of the actual shipping method.

Example:

"Standard Shipping"

Response

Successful response

id
string
required

The ID of the object that has been created or modified

Example:

"id"

unused_fields
string[]
required

Unused fields

data
CreateCartOrderShipmentResponseDataSchema · object